Panda3D

Loading...
Searching...
No Matches
Classes | Functions
interrogateType.h File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "dtoolbase.h"`
`#include "interrogateComponent.h"`
`#include <vector>`
`#include "interrogateType.I"`

Go to the source code of this file.

## Classes
class | InterrogateType::Derivation
class | InterrogateType::EnumValue
class | InterrogateType
| An internal representation of a type. More...

## Functions
std::ostream & | operator<< (std::ostream &out, const InterrogateType &type)
std::ostream & | operator<< (std::ostream &out, const InterrogateType::Derivation &d)
std::ostream & | operator<< (std::ostream &out, const InterrogateType::EnumValue &d)
std::istream & | operator>> (std::istream &in, InterrogateType &type)
std::istream & | operator>> (std::istream &in, InterrogateType::Derivation &d)
std::istream & | operator>> (std::istream &in, InterrogateType::EnumValue &d)

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  drose

Date
  2000-07-31

Definition in file interrogateType.h.

## Function Documentation

## ◆ operator<<() [1/3]

std::ostream & operator<< | ( | std::ostream & | out,
|  | const InterrogateType & | type )
| inline

Definition at line 550 of file interrogateType.I.

## ◆ operator<<() [2/3]

std::ostream & operator<< | ( | std::ostream & | out,
|  | const InterrogateType::Derivation & | d )
| inline

Definition at line 562 of file interrogateType.I.

## ◆ operator<<() [3/3]

std::ostream & operator<< | ( | std::ostream & | out,
|  | const InterrogateType::EnumValue & | d )
| inline

Definition at line 574 of file interrogateType.I.

## ◆ operator>>() [1/3]

std::istream & operator>> | ( | std::istream & | in,
|  | InterrogateType & | type )
| inline

Definition at line 557 of file interrogateType.I.

## ◆ operator>>() [2/3]

std::istream & operator>> | ( | std::istream & | in,
|  | InterrogateType::Derivation & | d )
| inline

Definition at line 569 of file interrogateType.I.

## ◆ operator>>() [3/3]

std::istream & operator>> | ( | std::istream & | in,
|  | InterrogateType::EnumValue & | d )
| inline

Definition at line 581 of file interrogateType.I.